| kspaceFirstOrder3D-OMP 1.0 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
TDimensionSizes Struct Reference

Structure with 3D dimension sizes.

`#include <DimensionSizes.h>`

List of all members.

## Public Member Functions
| TDimensionSizes ()
| default constructor
| TDimensionSizes (size_t x, size_t y, size_t z)
| Constructor.
| TDimensionSizes (const TDimensionSizes &src)
| Copy constructor.
size_t | GetElementCount () const
| Get element count.
TDimensionSizes & | operator= (const TDimensionSizes &src)
bool | operator== (const TDimensionSizes &other) const
| Operator ==.
bool | operator!= (const TDimensionSizes &other) const
| Operator !=.
## Public Attributes
size_t | X
| X dimension size.
size_t | Y
| Y dimension size.
size_t | Z
| Z dimension size.

## Detailed Description

Definition at line 50 of file DimensionSizes.h.

## Constructor & Destructor Documentation

TDimensionSizes::TDimensionSizes | ( | size_t | x,
|  | size_t | y,
|  | size_t | z
| ) |  | `[inline]`

Parameters:

  [in] | x |
  [in] | y |
  [in] | z |

Definition at line 67 of file DimensionSizes.h.

TDimensionSizes::TDimensionSizes | ( | const TDimensionSizes & | src | ) | `[inline]`

Parameters:

  src |

Definition at line 73 of file DimensionSizes.h.

## Member Function Documentation

size_t TDimensionSizes::GetElementCount | ( |  | ) | const`[inline]`

Returns:
  element count

Definition at line 80 of file DimensionSizes.h.

Here is the caller graph for this function:

bool TDimensionSizes::operator!= | ( | const TDimensionSizes & | other | ) | const`[inline]`

Parameters:

  [in] | other | - the second operand to compare with

Returns:
  true if !=

Definition at line 114 of file DimensionSizes.h.

TDimensionSizes& TDimensionSizes::operator= | ( | const TDimensionSizes & | src | ) | `[inline]`

Operator =

Parameters:

  src |

Returns:
  new value of the element

Definition at line 88 of file DimensionSizes.h.

bool TDimensionSizes::operator== | ( | const TDimensionSizes & | other | ) | const`[inline]`

Parameters:

  [in] | other | - the second operand to compare with

Returns:
  true if ==

Definition at line 104 of file DimensionSizes.h.

The documentation for this struct was generated from the following file:

- Utils/DimensionSizes.h

All Classes Files Functions Variables Typedefs Enumerations